# Class OpenApiHttpResponseError

#### Hierarchy

- HttpErrorResponse
  - OpenApiHttpResponseError

- Defined in packages/angular/open-api/src/lib/open-api-http-response.error.ts:4

#####
Index

### Constructors

constructor

### Properties

error
headers
httpErrorResponse
message
metadata
name
ok
status
statusText
type
url

### Accessors

operationId

## Constructors

### constructor

- new OpenApiHttpResponseError(httpErrorResponse, metadata): OpenApiHttpResponseError

- #### Parameters

  - httpErrorResponse: HttpErrorResponse
  - metadata: OpenApiMetaData

  #### Returns OpenApiHttpResponseError

  Overrides HttpErrorResponse.constructor

  - Defined in packages/angular/open-api/src/lib/open-api-http-response.error.ts:6

## Properties

### `Readonly` error

error: any

Inherited from HttpErrorResponse.error

- Defined in node_modules/@angular/common/http/index.d.ts:3370

### `Readonly` headers

headers: HttpHeaders

All response headers.

Inherited from HttpErrorResponse.headers

- Defined in node_modules/@angular/common/http/index.d.ts:4101

### `Readonly` httpErrorResponse

httpErrorResponse: HttpErrorResponse

- Defined in packages/angular/open-api/src/lib/open-api-http-response.error.ts:7

### `Readonly` message

message: string

Inherited from HttpErrorResponse.message

- Defined in node_modules/@angular/common/http/index.d.ts:3369

### `Readonly` metadata

metadata: OpenApiMetaData

- Defined in packages/angular/open-api/src/lib/open-api-http-response.error.ts:8

### `Readonly` name

name: "HttpErrorResponse" = "HttpErrorResponse"

Inherited from HttpErrorResponse.name

- Defined in node_modules/@angular/common/http/index.d.ts:3368

### `Readonly` ok

ok: false = false

Errors are never okay, even when the status code is in the 2xx success range.

Inherited from HttpErrorResponse.ok

- Defined in node_modules/@angular/common/http/index.d.ts:3374

### `Readonly` status

status: number

Response status code.

Inherited from HttpErrorResponse.status

- Defined in node_modules/@angular/common/http/index.d.ts:4105

### `Readonly` statusText

statusText: string

Textual description of response status code, defaults to OK.

Do not depend on this.

Inherited from HttpErrorResponse.statusText

- Defined in node_modules/@angular/common/http/index.d.ts:4111

### `Readonly` type

type: ResponseHeader | Response

Type of the response, narrowed to either the full response or the header.

Inherited from HttpErrorResponse.type

- Defined in node_modules/@angular/common/http/index.d.ts:4123

### `Readonly` url

url: string

URL of the resource retrieved, or null if not available.

Inherited from HttpErrorResponse.url

- Defined in node_modules/@angular/common/http/index.d.ts:4115

## Accessors

### operationId

- get operationId(): string

- #### Returns string

  - Defined in packages/angular/open-api/src/lib/open-api-http-response.error.ts:23